Package net.shibboleth.profile.config

# Interface ProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`

All Known Subinterfaces:
  `ArtifactResolutionProfileConfiguration`, `ArtifactResolutionProfileConfiguration`, `AttributeQueryProfileConfiguration`, `AttributeQueryProfileConfiguration`, `AttributeResolvingProfileConfiguration`, `BrowserSSOProfileConfiguration`, `BrowserSSOProfileConfiguration`, `ConditionalProfileConfiguration`, `ECPProfileConfiguration`, `OverriddenIssuerProfileConfiguration`, `SAML2AssertionProducingProfileConfiguration`, `SAML2ProfileConfiguration`, `SAMLArtifactAwareProfileConfiguration`, `SAMLArtifactConsumerProfileConfiguration`, `SAMLAssertionConsumingProfileConfiguration`, `SAMLAssertionProducingProfileConfiguration`, `SAMLProfileConfiguration`, `SingleLogoutProfileConfiguration`

All Known Implementing Classes:
  `AbstractConditionalProfileConfiguration`, `AbstractProfileConfiguration`, `MockProfileConfiguration`

public interface ProfileConfiguration extends IdentifiedComponent
Represents the configuration of a particular communication profile.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Integer`
`DEFAULT_DISALLOWED_FEATURES`
Default value for disallowedFeatures property.

## Method Summary

Modifier and Type
Method
Description
`int`
`getDisallowedFeatures(ProfileRequestContext profileRequestContext)`
Get a bitmask of disallowed features to block.
`SecurityConfiguration`
`getSecurityConfiguration(ProfileRequestContext profileRequestContext)`
Get the `SecurityConfiguration` to use with this profile.
`boolean`
`isFeatureDisallowed(ProfileRequestContext profileRequestContext, int feature)`
Return true iff the input feature constant is disallowed.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### DEFAULT_DISALLOWED_FEATURES

@Nonnull static final Integer DEFAULT_DISALLOWED_FEATURES
Default value for disallowedFeatures property.

## Method Details

### getSecurityConfiguration

@ConfigurationSetting(name="securityConfiguration") @Nullable SecurityConfiguration getSecurityConfiguration(@Nullable ProfileRequestContext profileRequestContext)
Get the `SecurityConfiguration` to use with this profile.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  security configuration to use with this profile

### getDisallowedFeatures

@ConfigurationSetting(name="disallowedFeatures") int getDisallowedFeatures(@Nullable ProfileRequestContext profileRequestContext)
Get a bitmask of disallowed features to block.

Individual profiles define their own feature constants.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  bitmask of features to block
Since:
  5.0.0

### isFeatureDisallowed

boolean isFeatureDisallowed(@Nullable ProfileRequestContext profileRequestContext, int feature)
Return true iff the input feature constant is disallowed.

Parameters:
  `profileRequestContext` - current profile request context
  `feature` - a bit constant
Returns:
  true iff the input feature constant is disallowed
Since:
  5.0.0